BufferedMapBean.PanHelper (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap
Class BufferedMapBean.PanHelper

    java.lang.Object
      java.awt.geom.AffineTransform
          com.bbn.openmap.BufferedMapBean.PanHelper

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Enclosing class:
  BufferedMapBean

    protected class BufferedMapBean.PanHelper

extends java.awt.geom.AffineTransform

See Also:
  Serialized Form

Field Summary
`protected java.awt.Image` | `buffer`

Fields inherited from class java.awt.geom.AffineTransform
`TYPE_FLIP, TYPE_GENERAL_ROTATION, TYPE_GENERAL_SCALE, TYPE_GENERAL_TRANSFORM, TYPE_IDENTITY, TYPE_MASK_ROTATION, TYPE_MASK_SCALE, TYPE_QUADRANT_ROTATION, TYPE_TRANSLATION, TYPE_UNIFORM_SCALE`

Constructor Summary
`protected` | `BufferedMapBean.PanHelper(java.awt.geom.AffineTransform aft)`

Method Summary
`protected void` | `dispose()`
`protected void` | `render(java.awt.Graphics2D g)`
`protected void` | `update(java.awt.geom.AffineTransform aft)`

Methods inherited from class java.awt.geom.AffineTransform
`clone, concatenate, createInverse, createTransformedShape, deltaTransform, deltaTransform, equals, getDeterminant, getMatrix, getQuadrantRotateInstance, getQuadrantRotateInstance, getRotateInstance, getRotateInstance, getRotateInstance, getRotateInstance, getScaleInstance, getScaleX, getScaleY, getShearInstance, getShearX, getShearY, getTranslateInstance, getTranslateX, getTranslateY, getType, hashCode, inverseTransform, inverseTransform, invert, isIdentity, preConcatenate, quadrantRotate, quadrantRotate, rotate, rotate, rotate, rotate, scale, setToIdentity, setToQuadrantRotation, setToQuadrantRotation, setToRotation, setToRotation, setToRotation, setToRotation, setToScale, setToShear, setToTranslation, setTransform, setTransform, shear, toString, transform, transform, transform, transform, transform, transform, translate`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### buffer

    protected java.awt.Image buffer

Constructor Detail

### BufferedMapBean.PanHelper

    protected BufferedMapBean.PanHelper(java.awt.geom.AffineTransform aft)

Method Detail

### update

    protected void update(java.awt.geom.AffineTransform aft)

### render

    protected void render(java.awt.Graphics2D g)

### dispose

    protected void dispose()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details